import javax.microedition.rms.*;
import java.io.*;

public class FiltroNivel implements RecordFilter {

	private byte nvelComparao = 3;

	public  FiltroNivel(int nvel) {
		this.nvelComparao = (byte)nvel;
	}

	public boolean matches(byte[] candidate) {
		String nome;
		byte nvel = 0;
		int pontuao;

		try {
			ByteArrayInputStream streamBytes = new ByteArrayInputStream(candidate);
			DataInputStream streamDados = new DataInputStream(streamBytes);

			/* separar os campos		*/
			nome = streamDados.readUTF();
			nvel = streamDados.readByte();
			pontuao = streamDados.readInt();

			streamDados.close();
			streamBytes.close();
		} catch (IOException ioe) {
			System.err.println("Erro ao filtrar: " + ioe.getMessage());
		}

		/* filtragem propriamente dita	*/
		/**/if (nvel >= nvelComparao) {
			return true;
		} else {
			return false;
		}/**/
	}
}